package com.ruoyi.ss.vipLevelSku.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * VIP等级定价对象 ss_vip_level_sku
 *
 * @author ruoyi
 * @date 2025-01-16
 */
@Data
public class VipLevelSku extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "VIP等级ID")
    @ApiModelProperty("VIP等级ID")
    private Long levelId;

    @Excel(name = "价格")
    @ApiModelProperty("价格")
    private BigDecimal price;

    @Excel(name = "时长(天)")
    @ApiModelProperty("时长(天)")
    private Integer time;

}
